clang 8.0.0

Namespaces | Macros | Functions
DeclarationName.cpp File Reference
`#include "clang/AST/DeclarationName.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/DeclCXX.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/PrettyPrinter.h"`
`#include "clang/AST/Type.h"`
`#include "clang/AST/TypeLoc.h"`
`#include "clang/AST/TypeOrdering.h"`
`#include "clang/Basic/IdentifierTable.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/OperatorKinds.h"`
`#include "clang/Basic/SourceLocation.h"`
`#include "llvm/ADT/FoldingSet.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <cstdint>`
`#include <string>`
`#include "clang/Basic/OperatorKinds.def"`
Include dependency graph for DeclarationName.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Macros
#define | OVERLOADED_OPERATOR(Name, Spelling, Token, Unary, Binary, MemberOnly) Spelling,

## Functions
static int | compareInt (unsigned A, unsigned B)
static void | printCXXConstructorDestructorName (QualType ClassType, raw_ostream &OS, PrintingPolicy Policy)
raw_ostream & | clang::operator<< (raw_ostream &OS, DeclarationName N)

## Macro Definition Documentation

## ◆ OVERLOADED_OPERATOR

#define OVERLOADED_OPERATOR | ( |  | Name,
|  |  | Spelling,
|  |  | Token,
|  |  | Unary,
|  |  | Binary,
|  |  | MemberOnly
| ) |  | Spelling,

## Function Documentation

## ◆ compareInt()

static int compareInt | ( | unsigned | A,
|  | unsigned | B
| ) |  |
| static

Definition at line 42 of file DeclarationName.cpp.

Referenced by clang::DeclarationName::compare().

## ◆ printCXXConstructorDestructorName()

static void printCXXConstructorDestructorName | ( | QualType | ClassType,
|  | raw_ostream & | OS,
|  | PrintingPolicy | Policy
| ) |  |
| static

Definition at line 119 of file DeclarationName.cpp.

References clang::PrintingPolicy::adjustForCPlusPlus(), clang::Type::getAs(), clang::QualType::print(), and clang::PrintingPolicy::SuppressTemplateArgsInCXXConstructors.

Referenced by clang::DeclarationName::print().